package com.ruoyi.system.mapper.fgw;

import java.util.List;
import com.ruoyi.system.domain.fgw.FgwYjpz;

/**
 * 发改委_预警配置Mapper接口
 * 
 * @author ruoyi
 * @date 2023-03-30
 */
public interface FgwYjpzMapper 
{
    /**
     * 查询发改委_预警配置
     * 
     * @param id 发改委_预警配置主键
     * @return 发改委_预警配置
     */
    public FgwYjpz selectFgwYjpzById(Long id);

    /**
     * 查询发改委_预警配置列表
     * 
     * @param fgwYjpz 发改委_预警配置
     * @return 发改委_预警配置集合
     */
    public List<FgwYjpz> selectFgwYjpzList(FgwYjpz fgwYjpz);

    /**
     * 新增发改委_预警配置
     * 
     * @param fgwYjpz 发改委_预警配置
     * @return 结果
     */
    public int insertFgwYjpz(FgwYjpz fgwYjpz);

    /**
     * 修改发改委_预警配置
     * 
     * @param fgwYjpz 发改委_预警配置
     * @return 结果
     */
    public int updateFgwYjpz(FgwYjpz fgwYjpz);

    /**
     * 删除发改委_预警配置
     * 
     * @param id 发改委_预警配置主键
     * @return 结果
     */
    public int deleteFgwYjpzById(Long id);

    /**
     * 批量删除发改委_预警配置
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteFgwYjpzByIds(Long[] ids);

    FgwYjpz selectFgwYjpzNew();
}
